GNU bug report logs - #41234
27.0.91; Synchronous network requests are failing with “Name or service not known”

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Dmitry Alexandrov <dag@HIDDEN>; merged with #40748; dated Wed, 13 May 2020 15:01:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Forcibly Merged 40748 41234. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 41234 <at> debbugs.gnu.org:


Received: (at 41234) by debbugs.gnu.org; 20 Jul 2020 10:53:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 20 06:53:29 2020
Received: from localhost ([127.0.0.1]:33984 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jxTQH-00015j-AG
	for submit <at> debbugs.gnu.org; Mon, 20 Jul 2020 06:53:29 -0400
Received: from quimby.gnus.org ([95.216.78.240]:44012)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1jxTQF-00015T-Qb
 for 41234 <at> debbugs.gnu.org; Mon, 20 Jul 2020 06:53:28 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Transfer-Encoding:Content-Type:MIME-Version:Message-ID
 :In-Reply-To:Date:References:Subject:Cc:To:From:Sender:Reply-To:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=PVfJcZcRHbgXI26pN223Guug9142MK9zjg2oJfUka30=; b=mLhVUUIJhofi9Bim2+RbDO2qAq
 lGu9QV/SmNOTDeW7pNLf3iOTrBn6uKL6urRq+A7CDg31fHShXYkRtpUKvHTXqhrkSnnJaKqCgPOrd
 0hRweG9EQl+bD8eENNgg+xiXlCrhDbQcyLKOeGX4DEFAq5JNI0h2sf6H4HTY6B5Q+bIc=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1jxTQ2-0007jd-Qh; Mon, 20 Jul 2020 12:53:21 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Dmitry Alexandrov <dag@HIDDEN>
Subject: Re: bug#41234: 27.0.91; Synchronous network requests are failing
 with =?utf-8?Q?=E2=80=9CName?= or service not =?utf-8?Q?known=E2=80=9D?=
References: <1rnogg6b.dag@HIDDEN>
Date: Mon, 20 Jul 2020 12:53:12 +0200
In-Reply-To: <1rnogg6b.dag@HIDDEN> (Dmitry Alexandrov's message of "Wed, 13
 May 2020 15:42:04 +0300")
Message-ID: <87y2neh2zr.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Dmitry Alexandrov <dag@HIDDEN> writes: >
 (make-network-process
 :name " *net-test*" > :buffer (get-buffer-create " *net-test*") > :host
 "gnu.org" :service 80 > :nowait nil) > ; ;
 Debugger entered--Lisp error: (error "gnu.org/80
 Name or servi [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 41234
Cc: 41234 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Dmitry Alexandrov <dag@HIDDEN> writes:

> 	(make-network-process :name " *net-test*"
> 						  :buffer (get-buffer-create " *net-test*")
> 						  :host "gnu.org" :service 80
> 						  :nowait nil)
> 	;; Debugger entered--Lisp error: (error "gnu.org/80 Name or service not =
known")
>
> More specifically, a call to getaddrinfo() in =E2=80=98network_lookup_add=
ress_info_1=E2=80=99 returns EAI_NONAME.
>
> Could it be a problem in GNU Emacs, or have I broken my system somehow?

Dmitry Alexandrov <dag@HIDDEN> writes:

> FWIW, strace suggests, that the problematic Emacs process is trying to
> connect to an outdated nameserver (from a LAN this machine was
> connected once):

[...]

> That is, that /etc/resolv.conf had not been reread (there is nothing
> about it in the skipped output above), while the instance that is
> working fine do check whether /etc/resolv.conf is updated:

Hm...   since the async lookups work, I guess this means that
getaddrinfo_a works, but getaddrinfo doesn't?  Which is very odd -- both
functions are supposed to update the name server etc in the same way, I
think?

So I'm not sure how this can be an Emacs bug -- as far as I know,
there's no way for libc clients to say "update all the DNS stuff now";
it's supposed to happen automatically when you call getaddrinfo.  (If
I'm wrong, somebody please correct me.)

--=20
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#41234; Package emacs. Full text available.
bug Marked as found in versions 28.0.50. Request was from Dmitry Alexandrov <dag@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 41234 <at> debbugs.gnu.org:


Received: (at 41234) by debbugs.gnu.org; 2 Jul 2020 20:51:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jul 02 16:51:20 2020
Received: from localhost ([127.0.0.1]:55774 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jr6Ay-0001LU-6J
	for submit <at> debbugs.gnu.org; Thu, 02 Jul 2020 16:51:20 -0400
Received: from relay-2.mailobj.net ([213.182.54.5]:56228)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dag@HIDDEN>)
 id 1jr6At-0001L8-7C; Thu, 02 Jul 2020 16:51:19 -0400
Received: from v-1c.localdomain (unknown [192.168.90.161])
 by relay-2.mailobj.net (Postfix) with SMTP id D87DB1330;
 Thu,  2 Jul 2020 22:51:08 +0200 (CEST)
Received: by mail-1.net-c.com [213.182.54.15] with ESMTP
 Thu,  2 Jul 2020 22:51:08 +0200 (CEST)
X-EA-Auth: /M6Nn1pKZGGffzEv7xw1/zwMQVAAuiEX6pA7qBPAnFcXBZYD77yFQLIZ1H4j2cDHozP4vI4S5PRgaPAWnY2GUI+Ke0wizqMc
From: Dmitry Alexandrov <dag@HIDDEN>
To: 41234 <at> debbugs.gnu.org
Subject: Re: bug#41234: 27.0.91; Synchronous network requests are failing
 with =?utf-8?Q?=E2=80=9CName?= or service not =?utf-8?Q?known=E2=80=9D?=
In-Reply-To: <7dxdbb7m.dag@HIDDEN> (Dmitry Alexandrov's message of "Fri, 15
 May 2020 16:05:01 +0300")
References: <1rnogg6b.dag@HIDDEN> <7dxdbb7m.dag@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
OpenPGP: id=525F7E60AD812C2361752BB4C8B0F8548EE7F3E7;
 url=https://openpgpkey.gnui.org/.well-known/openpgpkey/gnui.org/hu/hr4k5tkxm6shwdc18su4bkm34w3dctjd
Mail-Copies-To: always
Date: Thu, 02 Jul 2020 23:50:39 +0300
Message-ID: <5zb54p5s.dag@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 41234
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

found 41234 28.0.50
thanks

Dmitry Alexandrov <dag@HIDDEN> wrote:
> FWIW, strace suggests, that the problematic Emacs process is trying to co=
nnect to an outdated nameserver (from a LAN this machine was connected once=
):

> That is, that /etc/resolv.conf had not been reread...

Heh.  Emacs is able to lost running nscd(8) and fall back to outdated names=
erver as well:

        =E2=80=A6
	openat(AT_FDCWD, "/etc/hosts", O_RDONLY|O_CLOEXEC) =3D 7
	lseek(7, 0, SEEK_CUR)                   =3D 0
	fstat(7, {st_mode=3DS_IFREG|0644, st_size=3D184, ...}) =3D 0
	read(7, "127.0.0.1\tlocalhost\n127.0.1.1\tno"..., 4096) =3D 184
	lseek(7, 0, SEEK_CUR)                   =3D 184
	read(7, "", 4096)                       =3D 0
	close(7)                                =3D 0
	socket(AF_INET, SOCK_DGRAM|SOCK_CLOEXEC|SOCK_NONBLOCK, IPPROTO_IP) =3D 7
	connect(7, {sa_family=3DAF_INET, sin_port=3Dhtons(53), sin_addr=3Dinet_add=
r("192.168.43.245")}, 16) =3D 0
	gettimeofday({tv_sec=3D1593704775, tv_usec=3D183050}, NULL) =3D 0
	poll([{fd=3D7, events=3DPOLLOUT}], 1, 0)    =3D 1 ([{fd=3D7, revents=3DPOL=
LOUT}])
	sendto(7, "\254o\1\0\0\1\0\0\0\0\0\0\3gnu\3org\0\0\1\0\1", 25, MSG_NOSIGNA=
L, NULL, 0) =3D 25
        =E2=80=A6

=E2=80=94 that=CA=BCs instead of:

        =E2=80=A6
	socket(AF_UNIX, SOCK_STREAM|SOCK_CLOEXEC|SOCK_NONBLOCK, 0) =3D 10
	connect(10, {sa_family=3DAF_UNIX, sun_path=3D"/var/run/nscd/socket"}, 110)=
 =3D 0
	sendto(10, "\2\0\0\0\16\0\0\0\t\0\0\0gnus.org\0", 21, MSG_NOSIGNAL, NULL, =
0) =3D 21
        =E2=80=A6

in a freshly started Emacs instance.

Perhaps, I have to try another workaround.

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iIMEARYIACsWIQRSX35grYEsI2F1K7TIsPhUjufz5wUCXv5Inw0cZGFnQGdudWku
b3JnAAoJEMiw+FSO5/PnNhwA+wb/UtX/g6SanuY6rFdtR0szmUyRmYtFQBdBjkLq
7m2GAP0f9rkeWzpwgsc4jfEqZl390FdETaVN5I+oUkc6fbCYAQ==
=Cnio
-----END PGP SIGNATURE-----
--=-=-=--





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#41234; Package emacs. Full text available.

Message received at 41234 <at> debbugs.gnu.org:


Received: (at 41234) by debbugs.gnu.org; 15 May 2020 13:15:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 15 09:15:22 2020
Received: from localhost ([127.0.0.1]:36233 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jZaBN-0003pe-4Q
	for submit <at> debbugs.gnu.org; Fri, 15 May 2020 09:15:22 -0400
Received: from relay-1.mailobj.net ([213.182.54.6]:33060)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dag@HIDDEN>) id 1jZa1g-0003bF-J3
 for 41234 <at> debbugs.gnu.org; Fri, 15 May 2020 09:05:21 -0400
Received: from v-2c.localdomain (unknown [192.168.90.162])
 by relay-1.mailobj.net (Postfix) with SMTP id 47F7A1377
 for <41234 <at> debbugs.gnu.org>; Fri, 15 May 2020 15:05:14 +0200 (CEST)
Received: by mail-2.net-c.com [213.182.54.29] with ESMTP
 Fri, 15 May 2020 15:05:14 +0200 (CEST)
X-EA-Auth: 737qUZA/L4lAX16kVg0G3PyZgEpidpwjgRr4w7DJy6LfKq8XBgagsne/U0CBzEjl4q0Jh3XaEH9YFcXuVjyH/htHc0xEzkGO
From: Dmitry Alexandrov <dag@HIDDEN>
To: 41234 <at> debbugs.gnu.org
Subject: Re: bug#41234: 27.0.91; Synchronous network requests are failing
 with =?utf-8?Q?=E2=80=9CName?= or service not =?utf-8?Q?known=E2=80=9D?=
In-Reply-To: <1rnogg6b.dag@HIDDEN> (Dmitry Alexandrov's message of "Wed, 13
 May 2020 15:42:04 +0300")
References: <1rnogg6b.dag@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.91 (gnu/linux)
Date: Fri, 15 May 2020 16:05:01 +0300
Message-ID: <7dxdbb7m.dag@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 41234
X-Mailman-Approved-At: Fri, 15 May 2020 09:15:19 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

FWIW, strace suggests, that the problematic Emacs process is trying to conn=
ect to an outdated nameserver (from a LAN this machine was connected once):

	=E2=80=A6
	openat(AT_FDCWD, "/etc/hosts", O_RDONLY|O_CLOEXEC) =3D 12
	lseek(12, 0, SEEK_CUR)                  =3D 0
	fstat(12, {st_mode=3DS_IFREG|0644, st_size=3D184, ...}) =3D 0
	read(12, "127.0.0.1\tlocalhost\n127.0.1.1\tno"..., 4096) =3D 184
	lseek(12, 0, SEEK_CUR)                  =3D 184
	read(12, "", 4096)                      =3D 0
	close(12)                               =3D 0
	socket(AF_INET, SOCK_DGRAM|SOCK_CLOEXEC|SOCK_NONBLOCK, IPPROTO_IP) =3D 12
	connect(12, {sa_family=3DAF_INET, sin_port=3Dhtons(53), sin_addr=3Dinet_ad=
dr("192.168.1.1")}, 16) =3D 0
	gettimeofday({tv_sec=3D1589546464, tv_usec=3D72520}, NULL) =3D 0
	poll([{fd=3D12, events=3DPOLLOUT}], 1, 0)   =3D 1 ([{fd=3D12, revents=3DPO=
LLOUT}])
	sendto(12, "`\t\1\0\0\1\0\0\0\0\0\0\3gnu\3org\0\0\1\0\1", 25, MSG_NOSIGNAL=
, NULL, 0) =3D 25
	=E2=80=A6

That is, that /etc/resolv.conf had not been reread (there is nothing about =
it in the skipped output above), while the instance that is working fine do=
 check whether /etc/resolv.conf is updated:

	=E2=80=A6
	stat("/etc/resolv.conf", {st_mode=3DS_IFREG|0644, st_size=3D56, ...}) =3D 0
	openat(AT_FDCWD, "/etc/hosts", O_RDONLY|O_CLOEXEC) =3D 11
	lseek(11, 0, SEEK_CUR)                  =3D 0
	fstat(11, {st_mode=3DS_IFREG|0644, st_size=3D184, ...}) =3D 0
	read(11, "127.0.0.1\tlocalhost\n127.0.1.1\tno"..., 4096) =3D 184
	lseek(11, 0, SEEK_CUR)                  =3D 184
	read(11, "", 4096)                      =3D 0
	close(11)                               =3D 0
	socket(AF_INET, SOCK_DGRAM|SOCK_CLOEXEC|SOCK_NONBLOCK, IPPROTO_IP) =3D 11
	connect(11, {sa_family=3DAF_INET, sin_port=3Dhtons(53), sin_addr=3Dinet_ad=
dr("192.168.43.223")}, 16) =3D 0
	gettimeofday({tv_sec=3D1589546877, tv_usec=3D860209}, NULL) =3D 0
	poll([{fd=3D11, events=3DPOLLOUT}], 1, 0)   =3D 1 ([{fd=3D11, revents=3DPO=
LLOUT}])
	sendmmsg(11, [{msg_hdr=3D{msg_name=3DNULL, msg_namelen=3D0, msg_iov=3D[{io=
v_base=3D"\314\255\1\0\0\1\0\0\0\0\0\0\3gnu\3org\0\0\1\0\1", iov_len=3D25}]=
, msg_iovlen=3D1, msg_controllen=3D0, msg_flags=3D0}, msg_len=3D25}, {msg_h=
dr=3D{msg_name=3DNULL, msg_namelen=3D0, msg_iov=3D[{iov_base=3D"\10\270\1\0=
\0\1\0\0\0\0\0\0\3gnu\3org\0\0\34\0\1", iov_len=3D25}], msg_iovlen=3D1, msg=
_controllen=3D0, msg_flags=3D0}, msg_len=3D25}], 2, MSG_NOSIGNAL) =3D 2
	=E2=80=A6

How should I interpret this?

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iIMEARYIACsWIQRSX35grYEsI2F1K7TIsPhUjufz5wUCXr6TfQ0cZGFnQGdudWku
b3JnAAoJEMiw+FSO5/PnS0oBAMjkjJKJ4oh3qieatL/QNFMJWAi80LJVwHse4pVl
vKPkAP9hFmNzItSK1dfGzoo0BtlU+/BvjS3IREL88vvidlzKAw==
=U5AT
-----END PGP SIGNATURE-----
--=-=-=--





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#41234; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 13 May 2020 15:00:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 13 11:00:24 2020
Received: from localhost ([127.0.0.1]:59079 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jYsrw-0005Ab-8C
	for submit <at> debbugs.gnu.org; Wed, 13 May 2020 11:00:24 -0400
Received: from lists.gnu.org ([209.51.188.17]:35028)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dag@HIDDEN>) id 1jYqiE-0007ee-NE
 for submit <at> debbugs.gnu.org; Wed, 13 May 2020 08:42:15 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:39348)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <dag@HIDDEN>) id 1jYqiE-0005L1-HA
 for bug-gnu-emacs@HIDDEN; Wed, 13 May 2020 08:42:14 -0400
Received: from relay-1.mailobj.net ([213.182.54.6]:54246)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <dag@HIDDEN>) id 1jYqiD-0007Cy-B7
 for bug-gnu-emacs@HIDDEN; Wed, 13 May 2020 08:42:14 -0400
Received: from v-1c.localdomain (unknown [192.168.90.161])
 by relay-1.mailobj.net (Postfix) with SMTP id 36625122C
 for <bug-gnu-emacs@HIDDEN>; Wed, 13 May 2020 14:42:08 +0200 (CEST)
Received: by mail-1.net-c.com [213.182.54.15] with ESMTP
 Wed, 13 May 2020 14:42:08 +0200 (CEST)
X-EA-Auth: y83RzUv+lYDEroMKFGAQHUL9oXXg0Gl7v+SOsCjbF9nSh6HF/rTW1r3BsU9jIR9tsCKxHUqpmorP8kX6YiJWd6eQQF57F+FC
From: Dmitry Alexandrov <dag@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 27.0.91; Synchronous network requests are failing with
 =?utf-8?Q?=E2=80=9CName?= or service not =?utf-8?Q?known=E2=80=9D?=
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.91 (gnu/linux)
Date: Wed, 13 May 2020 15:42:04 +0300
Message-ID: <1rnogg6b.dag@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
Received-SPF: pass client-ip=213.182.54.6; envelope-from=dag@HIDDEN;
 helo=relay-1.mailobj.net
X-detected-operating-system: by eggs.gnu.org: First seen = 2020/05/13 08:42:08
X-ACL-Warn: Detected OS   = Linux 3.1-3.10
X-Spam_score_int: -18
X-Spam_score: -1.9
X-Spam_bar: -
X-Spam_report: (-1.9 / 5.0 requ) BAYES_00=-1.9, RCVD_IN_MSPIKE_H4=0.001,
 RCVD_IN_MSPIKE_WL=0.001, SPF_PASS=-0.001,
 URIBL_BLOCKED=0.001 autolearn=_AUTOLEARN
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Wed, 13 May 2020 11:00:22 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

Dear maintainers,

I=CA=BCm not sure whether that a bugreport or a support request, I hope you=
 will excuse me for opting for the former.

Basically, I have an instance of Emacs 27 =E2=80=94 rev. aea1b4db72 =E2=80=
=94 a head of emacs-27 from about two weeks ago, which, have been running f=
or that time, is failing to resolve any remote hostname synchronously (whic=
h, for instance, Gnus normally does), while asynchronous requests (as in =
=E2=80=98url-retrieve=E2=80=99) are still working fine.

A newly started instance of the same Emacs does not demonstrate the issue. =
 And alas, despite being almost convinced, that I had already met this prob=
lem before, I cannot say how exactly to reproduce it.

However, I suppose, the fact, that this is by no means a pristine configura=
tion is not much relevant, since the error goes down to C sources, namely t=
o =E2=80=98make-network-process=E2=80=99:

	(make-network-process :name " *net-test*"
						  :buffer (get-buffer-create " *net-test*")
						  :host "gnu.org" :service 80
						  :nowait nil)
	;; Debugger entered--Lisp error: (error "gnu.org/80 Name or service not kn=
own")

More specifically, a call to getaddrinfo() in =E2=80=98network_lookup_addre=
ss_info_1=E2=80=99 returns EAI_NONAME.

Could it be a problem in GNU Emacs, or have I broken my system somehow?

=2D-=20
In GNU Emacs 27.0.91 (build 2, x86_64-pc-linux-gnu)
 of 2020-04-30 built on nora
Repository revision: aea1b4db72df92595a3f642d18bf57254d74772b
Repository branch: emacs-27-nightly
System Description: Debian GNU/Linux 10 (buster)

Configured using:
 'configure --with-x-toolkit=3Dno'

Configured features:
XPM JPEG TIFF GIF PNG RSVG SOUND GPM DBUS GSETTINGS GLIB NOTIFY INOTIFY ACL=
 LIBSELINUX GNUTLS LIBXML2 FREETYPE HARFBUZZ M17N_FLT LIBOTF XFT ZLIB OLDXM=
ENU X11 XDBE XIM MODULES THREADS LIBSYSTEMD PDUMPER LCMS2 GMP

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iIMEARYIACsWIQRSX35grYEsI2F1K7TIsPhUjufz5wUCXrvrHA0cZGFnQGdudWku
b3JnAAoJEMiw+FSO5/PnsgYBAISzaCFDQDSdIMaOPAPpvQEKOrKjM84tdH0d1pWM
ehiRAP9ha64nUuN1DCIkf9TLbqYM2STRtIqxud2A7S6mHWNTBA==
=tRwe
-----END PGP SIGNATURE-----
--=-=-=--





Acknowledgement sent to Dmitry Alexandrov <dag@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#41234; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 29 Jul 2020 05:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.